groovy to hirsute on arm64: KeyError: 'ubuntu-desktop-rapsi'

Bug #1924793 reported by Andreas Hasenack
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Brian Murray

Bug Description

I did a release-upgrade from groovy to hirsute on my groovy pi4, and got this backtrace:

(...)
KeyError: "The cache has no package named 'ubuntu-desktop-rapsi'"
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/problem_report.py", line 477, in add_to_existing
    self.write(f)
  File "/usr/lib/python3/dist-packages/problem_report.py", line 430, in write
    block = f.read(1048576)
  File "/usr/lib/python3.8/codecs.py", line 322, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8b in position 1: invalid start byte

Original exception was:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 281, in __getitem__
    rawpkg = self._cache[key]
KeyError: 'ubuntu-desktop-rapsi'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/ubuntu-release-upgrader-42aqo0hw/hirsute", line 8, in <module>
    sys.exit(main())
  File "/tmp/ubuntu-release-upgrader-42aqo0hw/DistUpgrade/DistUpgradeMain.py", line 236, in main
    if app.run():
  File "/tmp/ubuntu-release-upgrader-42aqo0hw/DistUpgrade/DistUpgradeController.py", line 2024, in run
    return self.fullUpgrade()
  File "/tmp/ubuntu-release-upgrader-42aqo0hw/DistUpgrade/DistUpgradeController.py", line 2005, in fullUpgrade
    self.doPostUpgrade()
  File "/tmp/ubuntu-release-upgrader-42aqo0hw/DistUpgrade/DistUpgradeController.py", line 1395, in doPostUpgrade
    self.quirks.run("PostUpgrade")
  File "/tmp/ubuntu-release-upgrader-42aqo0hw/DistUpgrade/DistUpgradeQuirks.py", line 99, in run
    func()
  File "/tmp/ubuntu-release-upgrader-42aqo0hw/DistUpgrade/DistUpgradeQuirks.py", line 146, in hirsutePostUpgrade
    if cache['ubuntu-desktop-rapsi'].is_installed:
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 283, in __getitem__
    raise KeyError('The cache has no package named %r' % key)
KeyError: "The cache has no package named 'ubuntu-desktop-rapsi'"

Dave Jones (waveform)
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → In Progress
importance: Undecided → High
assignee: nobody → Brian Murray (brian-murray)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:21.04.10

---------------
ubuntu-release-upgrader (1:21.04.10) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: look for the proper package name in the
    cache. (LP: #1924793)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <email address hidden> Fri, 16 Apr 2021 11:55:36 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers